# Get hotel ancillaries Retrieves available ancillaries (add-ons, extras, services) for a selected hotel booking. Ancillaries may include breakfast, parking, early check-in, late checkout, spa services, and other optional services. Endpoint: POST /v2/hotel/ancillaries Version: v2 Security: Bearer ## Request fields (application/json): - `priceValidateKey` (string, required) The unique price validate key for the selected hotel rate. ## Response 200 fields (application/json): - `ancillaries` (array) List of available ancillaries for the selected hotel booking. - `ancillaries.ancillaryKey` (string, required) Unique identifier for the ancillary service. - `ancillaries.category` (string, required) Type of ancillary. Enum: "ANCILLARY_UNKNOWN", "EARLY_CHECKIN", "LATE_CHECKOUT", "WIFI", "BREAKFAST", "PARKING", "PETS", "MEAL_PLAN", "OTHER" - `ancillaries.displayName` (string, required) Display name of ancillary. - `ancillaries.description` (string) Detailed description of ancillary. - `ancillaries.dailyPrice` (object, required) Per day price of ancillary. - `ancillaries.dailyPrice.amount` (number, required) The numeric value for the amount of money. Example: 510 - `ancillaries.dailyPrice.currencyCode` (string, required) The 3-letter currency code for the money amount (defined using ISO 4217 standard). Example: "GBP" - `ancillaries.dailyPrice.convertedAmount` (number) The converted currency and amount that has been converted (if a currency conversion has been requested). For example, if the call requests that money be sent in a specified currency (because the frontend requested the backend to send money in the user's preferred currency). Example: 715.42 - `ancillaries.dailyPrice.convertedCurrency` (string) The 3-letter currency code for the converted currency (defined using ISO 4217 standard). Example: "USD" - `ancillaries.dailyPrice.otherCoinage` (array) List of the dollar amount in other coinage systems like reward points, cryptocurrency etc. - `ancillaries.dailyPrice.otherCoinage.coinageCode` (string) Payment method Enum: "PAYMENT_METHOD_UNKNOWN", "CREDIT_CARD", "BREX_POINTS", "CASH", "QANTAS_POINTS", "VENDOR_PROGRAM_PAYMENT", "DELAYED_INVOICING", "FLIGHT_CREDITS", "QANTAS_TRAVEL_FUND", "CUSTOM_VIRTUAL_PAYMENT", "FLIGHT_PASS", "MISCELLANEOUS_CREDIT_ORDER" - `ancillaries.dailyPrice.otherCoinage.amount` (number) Example: 1000 - `ancillaries.dailyPrice.otherCoinage.conversionRate` (number) 1 coin in this system equals to how many currency value Example: 0.01 - `ancillaries.dailyPrice.otherCoinage.preferredCurrencyConversionRate` (number) 1 coin in this system equals to how many currency value Example: 0.01 - `ancillaries.totalPrice` (object, required) Total price for the entire stay. - `ancillaries.refundability` (string, required) Refundability information about the ancillary. Enum: "REFUNDABILITY_UNKNOWN", "FULLY_REFUNDABLE", "PARTIALLY_REFUNDABLE", "NON_REFUNDABLE" - `ancillaries.purchaseStatus` (string, required) Purchase status of the ancillary. Enum: "PURCHASE_STATUS_UNKNOWN", "AVAILABLE", "ALREADY_PURCHASED", "INCLUDED_IN_RATE" - `ancillaries.paymentType` (string, required) Payment type for the ancillary. Enum: "PAYMENT_TYPE_UNKNOWN", "PREPAID", "POSTPAID" ## Response 401 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 403 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 404 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error.